Get unlimited public & private packages + package-based permissions with npm Pro.Get started »

This package has been deprecated

Author message:

WARNING: This project has been renamed to ng-iotile-cloud. Install using ng-iotile-cloud instead.

ng2-iotile-cloud

0.7.1 • Public • Published

ng2-iotile-cloud

Build Status NPM version

Angular2 IOTile Cloud Interface

Prerequisites

If you're using Typescript in your project, ng2-iotile-cloud requires Typescript v2.0.0 or greater. Also make sure that your editor (Visual Studio Code, Atom, Webstorm, etc.) supports Typescript >= v2.0.0 or you'll see errors even though it compiles.

Dependencies

ng2-iotile-cloud depends on moment

Install

npm install --save ng2-iotile-cloud

Then include the ng2-iotile-cloud in your project.

 
// TODO
 

Building

git clone https://github.com/iotile/ng2-iotile-cloud.git
npm install
npm run build

You may need to install

typings install dt~es6-shim --save --global

Testing

npm test

To have karma to watch for changes:

npm run test:w

release

Update package.json with a new version number.

npm run clean
npm run build
npm publish

Using Docker

# Build image
docker build -t ng2iotile .
# Runs test
docker run --rm ng2iotile
# Runs test with mounted drive
docker run --rm -v $PWD/src:/usr/src/app/src ng2iotile
# Build for release
docker run --rm -v $PWD:/usr/src/app ng2iotile run build

Install

npm i ng2-iotile-cloud

DownloadsWeekly Downloads

1

Version

0.7.1

License

MIT

Last publish

Collaborators

  • avatar
  • avatar
  • avatar
  • avatar